<div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded" *ngIf='mapReady && loadingShop'>
  <div class="row">
    <div class="col-md-12 col-md-offset-3">
      <div id="panel-creation_shop" class="panel panel-creation_shop">
        <div class="panel-heading">
          <div class="row">
            <div class="col-xs-12" id="title">
              <h4>Modifier le magasin : {{shop?.shop_name}}</h4>
            </div>
          </div>
        </div>
        <div class="panel-body">
          <div class="row">
            <div class="col-md-12">
              <form [formGroup]="shopForm" (ngSubmit)="shopForm.valid && submitRegistration(shopForm.value)" novalidate>
                <div class="form-group">
                  <input type="text" id="shop_name" class="form-control" tabindex="1" placeholder="Entrez le nom du magasin..."
                    formControlName="shop_name" [ngModel]="shop?.shopName">
                </div>
                <div class="col-xs-12" id="title">
                  Veuillez valider l'adresse avant toutes actions.
                </div>
                <div class="form-group" id='searchBoxContainer1'>
                  <input type="text" id="txtSource" name="txtSource" class="form-control" tabindex="2" placeholder="Lieu de départ du trajet"
                    formControlName="txtSource" autocomplete="off" [ngModel]="shop?.shopAddress" required>
                </div>

                <div class="form-group col-lg-12" style="height: 400px;">
                  <app-bing-map class="" style="width: 100%; height: 100%;" [city1]="shop?.shopAddress"
                    [consult]="true" [modif]="true" (eventCalculDir)="calculDir($event)"></app-bing-map>
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="shop_tel" placeholder="Entrez le numéro de téléphone du magasin..."
                    formControlName="shop_tel" [ngModel]="shop?.phoneNumber">
                </div>

                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_monday_open_hour" placeholder="Entrez l'heure d'ouverture du magasin les lundis..."
                    formControlName="schedule_monday_open_hour" [ngModel]="schedule_monday?.scheduleOpenHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_monday_close_hour" placeholder="Entrez l'heure de fermeture du magasin les lundis..."
                    formControlName="schedule_monday_close_hour" [ngModel]="schedule_monday?.scheduleCloseHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_tuesday_open_hour" placeholder="Entrez l'heure d'ouverture du magasin les mardis..."
                    formControlName="schedule_tuesday_open_hour" [ngModel]="schedule_tuesday?.scheduleOpenHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_tuesday_close_hour" placeholder="Entrez l'heure de fermeture du magasin les mardis..."
                    formControlName="schedule_tuesday_close_hour" [ngModel]="schedule_tuesday?.scheduleCloseHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_wednesday_open_hour" placeholder="Entrez l'heure d'ouverture du magasin les mercredis..."
                    formControlName="schedule_wednesday_open_hour" [ngModel]="schedule_wednesday?.scheduleOpenHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_wednesday_close_hour" placeholder="Entrez l'heure de fermeture du magasin les mercredis..."
                    formControlName="schedule_wednesday_close_hour" [ngModel]="schedule_wednesday?.scheduleCloseHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_thursday_open_hour" placeholder="Entrez l'heure d'ouverture du magasin les jeudis..."
                    formControlName="schedule_thursday_open_hour" [ngModel]="schedule_thursday?.scheduleOpenHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_thursday_close_hour" placeholder="Entrez l'heure de fermeture du magasin les jeudis..."
                    formControlName="schedule_thursday_close_hour" [ngModel]="schedule_thursday?.scheduleCloseHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_friday_open_hour" placeholder="Entrez l'heure d'ouverture du magasin les vendredis..."
                    formControlName="schedule_friday_open_hour" [ngModel]="schedule_friday?.scheduleOpenHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_friday_close_hour" placeholder="Entrez l'heure de fermeture du magasin les vendredis..."
                    formControlName="schedule_friday_close_hour" [ngModel]="schedule_friday?.scheduleCloseHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_saturday_open_hour" placeholder="Entrez l'heure d'ouverture du magasin les samedis..."
                    formControlName="schedule_saturday_open_hour" [ngModel]="schedule_saturday?.scheduleOpenHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_saturday_close_hour" placeholder="Entrez l'heure de fermeture du magasin les samedis..."
                    formControlName="schedule_saturday_close_hour" [ngModel]="schedule_saturday?.scheduleCloseHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_sunday_open_hour" placeholder="Entrez l'heure d'ouverture du magasin les dimanches..."
                    formControlName="schedule_sunday_open_hour" [ngModel]="schedule_sunday?.scheduleOpenHour">
                </div>
                <div class="form-group">
                  <input type="text" tabindex="3" class="form-control" id="schedule_sunday_close_hour" placeholder="Entrez l'heure de fermeture du magasin les dimanches..."
                    formControlName="schedule_sunday_close_hour" [ngModel]="schedule_sunday?.scheduleCloseHour">
                </div>


                <div class="form-group">
                  <img [style.width.px]="urlCompo.adjustedWidth" [style.height.px]="150" *ngIf="urlCompo.loadingPhoto && base64Image !== undefined"
                    [src]="base64Image">
                  <div fxlayoutAlign="center center" layout-fill>
                    <input type="file" tabindex="2" accept="image/x-png,image/gif,image/jpeg" formDataName="photo"
                      (change)="changeListener($event)" formControlName="shop_photos" [ngModel]="shop?.picture" />
                  </div>
                </div>

                <div class="form-group">
                  <div class="row">
                    <div class="col-sm-6 col-sm-offset-3">
                      <button tabindex="5" class=' form-control btn btn-primary' type='submit' [disabled]='!shopForm.valid'>Modifier
                        le magasin</button>
                      <button tabindex="5" class=' form-control btn btn-primary' (click)="deleteShop()">Supprimer
                        le magasin</button>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>